---
interface Props {
  imgUrl: string;
  imgAlt: string;
  title: string;
  description: string;
  note: string;
  span?: boolean;
}
const { imgUrl, imgAlt, title, description, note, span = false } = Astro.props;
import "../styles/components/ImageSection.scss";
---

<section class:list={["ImageSection", { span }]}>
  <h1>{title}</h1>
  <div class="imgDiv">
    <img src={imgUrl} alt={imgAlt} />
    <p>{description}</p>
  </div>
  <p class="noteP">{note}</p>
</section>
